Publish device telemetry to a theft case
POST /theft-case/{id}/telemetry
POST
/theft-case/{id}/telemetry
Allow an external party to publish device telemetry to a specific theft case. Validations:
- Validate if the client has permission to publish telemetry for the theft case.
- Validate if the theft case is still unresolved.
- Validate if the published device telemetry’s date time is not older than 31 days before theft case creation.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ”object
dtd
required
string format: date-time
Example
2019-01-25T12:47:22Z event
object
dte
string format: date-time
Example
2019-01-25T12:47:22Z key
string
Example
ride_start tracker
required
object
loc
required
object
dtg
Date of gps fix
string format: date-time
Example
2019-01-25T12:47:22Z alt
Altitude in meters
integer format: int32
Example
39 ang
Angle
integer format: int32
Example
54 hdop
HDOP value of gps accuracy
integer format: int32
Example
1 sp
required
Speed in km/h
integer format: int32
Example
12 geo
required
Geopoint
object
coordinates
required
array
Example
[ 4.894409179687499, 52.373922404495474] type
required
string
Example
Point gsm
object
cid
Cell tower ID
integer format: int32
Example
4651 lac
integer format: int32
Example
10173 mcc
integer format: int32
Example
460 mnc
integer format: int32
0 metric
object
bbatp
integer format: int32
Example
99 config
object
blename
string
Example
CK300-20A6C123 blemac
string
Example
20:a6:c1:23:45:67 wifi
object
mac_1
string
Example
2e:d1:c6:4f:9d:9c rssi_1
integer format: int32
Example
-52 mac_2
string
Example
7c:39:53:a2:3b:43 rssi_2
integer format: int32
Example
-73 mac_3
string
Example
34:12:98:04:9f:48 rssi_3
integer format: int32
Example
-79 mac_4
string
Example
b4:18:d1:df:f1:96 rssi_4
integer format: int32
Example
-81 mac_5
string
Example
c6:18:d1:df:f1:96 rssi_5
integer format: int32
Example
-81 device
object
metric
object
bsocp
integer format: int32
Example
90 deculock
boolean
dodom
integer format: int32
Example
8400 drange
integer format: int32
Example
90 dstatus
boolean
charging
boolean
Responses
Section titled “ Responses ”No Content
Bad Request
Unauthorized
Forbidden
Not Found
Too Many Requests. Rate limit of 600 requests per minute